Flourish QMS

API reference / Courses

Retrieve a course

GET/v1/courses/{id}

Needs a bearer access token with the courses.read scope. How authentication works

One published course, by id. A draft course, or an id that doesn't exist, returns 404.

Path parameters

  • idstring · uuidpathrequired

    The course's id.

Responses

  • 200The course
    Response fields
    • dataCourse
      • idstring · uuid
      • codestringnullable
      • titlestring
      • slugstring
      • short_descriptionstringnullable
      • category_idstring · uuidnullable
      • course_typestring

        Allowed values:self_pacedinstructor_led

      • is_freeboolean
      • price_centsinteger
      • has_certificationboolean
      • levelstringnullable
      • created_atstring · date-time
  • 404Not found
    Example response
    {
      "error": {
        "code": "not_found",
        "message": "Not found."
      }
    }